Bug 36968 - FORMATTING cells: background color not displayed on VDU on protected sheet
Summary: FORMATTING cells: background color not displayed on VDU on protected sheet
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.0 Beta3
Hardware: x86 (IA32) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Cells
  Show dependency treegraph
 
Reported: 2011-05-08 07:48 UTC by Basil Fernie
Modified: 2019-12-02 09:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
problem file (92.00 KB, application/vnd.ms-excel)
2013-04-22 10:07 UTC, Stanislav
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Basil Fernie 2011-05-08 07:48:10 UTC
Applying a background color to a spreadsheet cell or range of cells does not affect the display - the background of the cell(s) continues to be shown as white. However on printing the correct background colors are printed. This problem has been noted since LibO3.1

I have noted it on Win7 and WinXP.

It leads to the thought that it would be helpful to have a "cell-propeties display" option, accessed say by right-clicking on the cell.
Comment 1 Noel Power 2011-05-09 11:37:15 UTC
(In reply to comment #0)
> Applying a background color to a spreadsheet cell or range of cells does not
> affect the display - the background of the cell(s) continues to be shown as
> white.
How are you setting the background color
> However on printing the correct background colors are printed. This
> problem has been noted since LibO3.1
I have tried with XP ( select range of cells, right-click | Format | Background ) and it works no problems
Comment 2 Basil Fernie 2011-05-09 15:40:21 UTC
Hi Noel

Thanks for quick response. I normally use the "fill" icon (paintcan  
pouring out paint) but your suggestion of right-click | format |  
Background  produces the same problem.

Currently I am running Win 7 Ultimate on an HP Compaq laptop. Tomorrow  
I'll set up an XP installation on another hardware platform and see  
whether the problem remains. Will inform you of outcome.




On Mon, 09 May 2011 20:37:15 +0200, <bugzilla-daemon@freedesktop.org>  
wrote:

> https://bugs.freedesktop.org/show_bug.cgi?id=36968
>
> Noel Power <nopower@novell.com> changed:
>
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>   Status Whiteboard|                             
> |infoprovider:basil@pop.co.z
>                    |                            |a
>            Keywords|                            |NEEDINFO
>
> --- Comment #1 from Noel Power <nopower@novell.com> 2011-05-09 11:37:15  
> PDT ---
> (In reply to comment #0)
>> Applying a background color to a spreadsheet cell or range of cells  
>> does not
>> affect the display - the background of the cell(s) continues to be  
>> shown as
>> white.
> How are you setting the background color
>> However on printing the correct background colors are printed. This
>> problem has been noted since LibO3.1
> I have tried with XP ( select range of cells, right-click | Format |  
> Background
> ) and it works no problems
>
Comment 3 Björn Michaelsen 2011-12-23 12:02:25 UTC Comment hidden (obsolete)
Comment 4 Björn Michaelsen 2011-12-23 17:01:09 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 13:57:50 UTC Comment hidden (obsolete)
Comment 6 Florian Reisinger 2012-08-14 13:59:09 UTC Comment hidden (obsolete)
Comment 7 Florian Reisinger 2012-08-14 14:03:42 UTC Comment hidden (obsolete)
Comment 8 Florian Reisinger 2012-08-14 14:05:57 UTC Comment hidden (obsolete)
Comment 9 Basil Fernie 2012-09-01 07:18:01 UTC
This bug has not re-appeared in sunsequent versions of LO, so I consider ti resolved.
Comment 10 sasha.libreoffice 2012-09-04 11:51:21 UTC
Thanks for additional testing
Due to last comment, changing status to WorksForMe

If problem will appear again, please, change status to Reopened
Comment 11 Stanislav 2013-04-22 04:16:01 UTC
I see this problem in files *.xls, created in OpenOffice Calc 3.1 when "Value highlighting" is ON. I see it on Windows XP with LibreOffice Calc 3.6.5 and on Xubuntu 12.04 with LibreOffice Calc 4.0.2.2 from ppa. And I think that problem not solved.
Comment 12 sasha.libreoffice 2013-04-22 06:22:05 UTC
@ Stanislav
Thanks for additional information
Please, attach small example file (ods or xls) which demonstrates this bug
Comment 13 Stanislav 2013-04-22 10:07:57 UTC
Created attachment 78324 [details]
problem file

This is one of problem files. Russian language text.
Comment 14 sasha.libreoffice 2013-04-22 10:49:12 UTC
Thanks for attachment
Here I see difference between Excel and Calc only in table border on first page
Please, tell where exactly to see
(and if problem appears during saving ods to xls, attach ods also)
Or write how to reproduce problem
Comment 15 Stanislav 2013-04-22 11:38:29 UTC
Ok.. Please, see this video from my desktop.
http://dfiles.ru/files/r3q2fjyce
Comment 16 Basil Fernie 2013-04-22 12:36:05 UTC
Problem absent on LO 4.0.1.2 under Windows 7...
Basil



On Mon, 22 Apr 2013 06:16:01 +0200, <bugzilla-daemon@freedesktop.org>  
wrote:

> Stanislav changed bug 36968 >What	>Removed	>Added
> Status	>RESOLVED 	>REOPENEDResolution	>WORKSFORME 	>---

>
> Comment # 11 on bug 36968 from StanislavI see this problem in files  
> *.xls, created in OpenOffice Calc 3.1 when "Value
> highlighting" is ON. I see it on Windows XP with LibreOffice Calc 3.6.5  
> and on
> Xubuntu 12.04 with LibreOffice Calc 4.0.2.2 from ppa. And I think that  
> problem
> not solved.
> You are receiving this mail because:You reported the bug.
Comment 17 sasha.libreoffice 2013-04-22 13:18:50 UTC
Thanks for video. Reproduced in 4.0.2.2 on Fedora (RFR) 64 bit
Steps to reproduce:
0. Start Calc. New empty document appears.
1. Select some area and right mouse click it, select "Format cells" from context menu, tab "Cell protection", uncheck "Protected" check-box. Click "Ok".
2. menu Tools->Protect document->Sheet. Click "Ok".
3. Ensure that Tools->Options->LibreOffice Calc->View, option "Value highlighting" is enabled
4. Change color of any unprotected cell to another. (by context menu and "Format cells" or using tool "Background color" from "Formatting" toolbar)

Expected: color of cell changes
Actually: cell is white. (in dialog "Format Cells" we see that color changed)

5. type something in any cell
6. menu File->Page preview. We see that colors of cell changed, sough not seen in document
Comment 18 Joel Madero 2014-11-04 03:28:06 UTC
No activity for over a year - removing Stanislav from assigned to field and moving this back to UNCONFIRMED to get fresh perspective. Thanks for your understanding.
Comment 19 Buovjaga 2014-11-15 18:21:22 UTC
Reproduced with the steps in comment 17.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08
Comment 20 QA Administrators 2015-12-20 16:08:45 UTC Comment hidden (obsolete)
Comment 21 QA Administrators 2017-01-03 19:46:57 UTC Comment hidden (obsolete)
Comment 22 Alex Thurgood 2019-11-26 08:59:42 UTC
Seems like bug 129024 could be a duplicate of this bug.
Comment 23 Timur 2019-12-02 09:33:16 UTC
This bug started as one issue and in Comment 11 was hijacked as another, similar to bug 129024.
I will close this one as WFM for the original issue.
As for another issue, from Comment 17, that's NotABug per Help: https://help.libreoffice.org/6.5/en-US/text/scalc/01/03080000.html